## pycuda 2017.1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 `which sphinx-build`
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

html:
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
pycuda (2017.1.1-2) unstable; urgency=medium

  * Rebuild for CUDA 9.1.
  * Update my email to @debian.org.
  * Add Multi-Arch: no for all binary packages.
  * Reorder debian/copyright, per tip from lintian.

 -- Tomasz Rybak <serpent@debian.org>  Fri, 09 Mar 2018 19:07:39 +0100

pycuda (2017.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.3.
    * Use DEB_BUILD_OPTIONS for nodoc option.
  * Patch Sphinx documentation to allow for reproducible builds.
  * Do not try to fetch external Sphinx objects, use ones from Debian
    packages.
  * Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Update d/rules get-orig-source to remove all git-related files.
    * Remove non-DFSG-compatible example file.
  * Refresh patches.
  * Change Priority of debugging packages to optional.
  * Change debian/watch file to use HTTPS, as suggested by lintian.
  * Use HTTPS URL of upstream URL.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 27 Dec 2017 22:35:03 +0100

=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Tomasz Rybak <serpent@debian.org>
Build-Depends: debhelper (>= 10),
 dh-python,
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python3-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-mako-doc <!nodoc>,
 python-setuptools,
 python3-setuptools,
 nvidia-cuda-toolkit,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python-pytools (>= 2011.5),
 python3-pytools
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git

Package: python-pycuda
Architecture: amd64
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-cuda-toolkit,
 python-appdirs (>= 1.4.0),
 python-numpy,
 python-decorator (>= 3.2.0),
 python-pytools (>= 2011.5)
Recommends: python-pycuda-doc <!nodoc>,
 python-mako
Suggests: python-pytest,
 python-opengl,
 python-matplotlib,
 python-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.

Package: python-pycuda-dbg
Section: contrib/debug
Architecture: amd64
Multi-Arch: no
Depends: python-pycuda (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Python module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python3-pycuda
Architecture: amd64
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 nvidia-cuda-toolkit,
 python3-appdirs (>= 1.4.0),
 python3-numpy,
 python3-decorator (>= 3.2.0),
 python3-pytools
Recommends: python-pycuda-doc <!nodoc>,
 python3-mako
Suggests: python3-pytest,
 python3-opengl,
 python3-matplotlib,
 python3-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains Python 3 modules.

Package: python3-pycuda-dbg
Section: contrib/debug
Architecture: amd64
Multi-Arch: no
Depends: python3-pycuda (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions for the Python 3 debug interpreter.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends},
 ${misc:Depends},
 libjs-mathjax,
 fonts-mathjax
Recommends: nvidia-cuda-doc,
 python3-doc,
 python-numpy-doc,
 python-mako-doc
Suggests: python-pycuda,
 python3-pycuda
Description: module to access Nvidia‘s CUDA computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DH_BUILD_DDEBS = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_DESTDIR_python2=debian/python-pycuda/
export PYBUILD_DESTDIR_python2-dbg=debian/python-pycuda-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-pycuda/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-pycuda-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--boost-thread-libname=boost_thread \
		--cuda-root=/usr --cuda-enable-gl

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
	dh_installdocs
endif

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

# Do not run test automatically - they require CUDA-capable hardware
override_dh_auto_test:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pycuda --dbg-package=python-pycuda-dbg
	dh_strip -ppython3-pycuda --dbg-package=python3-pycuda-dbg
endif


GIT_REVISION=v2017.1.1
GIT_SUBMODULES=pycuda/compyte
GIT_URL=https://git.tiker.net/trees/pycuda.git

get-orig-source:
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	git clone $(GIT_URL) $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cd $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/examples/demo_cdpSimplePrint.py
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/.git*
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/examples/.gitignore
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.git $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=3
https://pypi.debian.net/pycuda/pycuda-(.+)\.tar\.gz

## pycuda 2018.1.1

=== pycuda/compyte/ndarray/Makefile ===
all: pygpu_ndarray.so

PYTHONVERSION ?= $(shell python -c "import sys; print '%d.%d'%(sys.version_info[0], sys.version_info[1]"))
CUDA_ROOT ?= /opt/lisa/os/cuda
THEANO_ROOT ?= /u/bastienf/repos/Theano


CFLAGS=-g -DDEBUG -DOFFSET
# By default enable the OFFSET usage. Otherwise some test fail.
CFLAGS=-g -DOFFSET
#BINDIR=--compiler-bindir ${HOME}/.theano.nvcc-bindir

#NPY_PATH!=python -c "import numpy;print numpy.__path__"
#NPY_INCLUDE=-I${NPY_PATH}/core/include
CUDA_INCLUDE=-I${CUDA_ROOT}/include
PYTHON_INCLUDE=-I$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_python_inc()")
INCLUDES=${CUDA_INCLUDE} ${PYTHON_INCLUDE}
CUDA_FLAGS=-Xlinker -rpath,${CUDA_ROOT}/lib64 -Xlinker -rpath,${CUDA_ROOT}/lib

pygpu_language_cuda.o: pygpu_language_cuda.cu pygpu_language.h
	nvcc -c ${CFLAGS} -m64 -Xcompiler -fPIC,-m64 ${CUDA_FLAGS} ${INCLUDES} ${BINDIR} -o $@ $<

pygpu_ndarray.so: pygpu_ndarray.cpp pygpu_ndarray.h pygpu_language_cuda.o pygpu_ndarray_object.h
	nvcc -shared ${CFLAGS} -m64 -Xcompiler -fPIC,-m64 ${CUDA_FLAGS} ${INCLUDES} ${BINDIR} -o $@ pygpu_language_cuda.o $< -lpython${PYTHONVERSION} -lcublas -lcudart

clean:
	rm -f pygpu_ndarray.so core.* *.o *~
	rm -rf build

cleantmp:
	rm -f core.* *.o *~

=== debian/changelog ===
pycuda (2018.1.1-3) unstable; urgency=medium

  * Rebuild with CUDA 9.2 (Closes: #914804)
  * Update debian/watch to new version and to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 14:23:34 +0100

pycuda (2018.1.1-2) unstable; urgency=medium

  * Fix FTBFS with Boost 1.67 (Closes: #914804)
    * Patch from Ubuntu by Gianfranco Costamagna
  * Add abort-on-upstream-changes to d/source/local-options.
  * Add more hardening options to d/rules.
  * Add lintian override for lack of autopkgtest.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 07 Jan 2019 23:27:54 +0100

pycuda (2018.1.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Put package under maintenance by the Debian NVIDIA Maintainers team, move
    Tomasz to Uploaders.
  * Switch Vcs-* URLs to salsa.debian.org.

  [ Tomasz Rybak ]
  * New upstream release (Closes: #903826).
  * Add Rules-Requires-Root to d/control.
  * Update d/copyright links to use https protocol.
  * Add disclaimer to d/copyright describing why PyCUDA is in contrib.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11
    * Point python-pycuda-doc.doc-base to main package's doc directory.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 31 Oct 2018 18:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Uploaders:
+ Tomasz Rybak <serpent@debian.org>,
+Build-Depends: debhelper (>= 12),
  dh-python,
  python-all-dev,
  python-all-dbg,
@@ -23,74 +25,11 @@
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
-
-Package: python-pycuda
-Architecture: amd64
-Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- nvidia-cuda-toolkit,
- python-appdirs (>= 1.4.0),
- python-numpy,
- python-decorator (>= 3.2.0),
- python-pytools (>= 2011.5)
-Recommends: python-pycuda-doc <!nodoc>,
- python-mako
-Suggests: python-pytest,
- python-opengl,
- python-matplotlib,
- python-pycuda-dbg
-Replaces: python-pycuda-headers
-Description: Python module to access Nvidia‘s CUDA parallel computation API
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
-
-Package: python-pycuda-dbg
-Section: contrib/debug
-Architecture: amd64
-Multi-Arch: no
-Depends: python-pycuda (= ${binary:Version}), python-dbg,
- ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-Description: Python module to access Nvidia‘s CUDA API (debug extensions)
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
- .
- This package contains debug extensions build for the Python debug interpreter.
+Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
+Vcs-Git: https://salsa.debian.org/nvidia-team/python-pycuda.git
 
 Package: python3-pycuda
 Architecture: amd64
@@ -156,6 +95,68 @@
  .
  This package contains debug extensions for the Python 3 debug interpreter.
 
+Package: python-pycuda
+Architecture: amd64
+Multi-Arch: no
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ nvidia-cuda-toolkit,
+ python-appdirs (>= 1.4.0),
+ python-numpy,
+ python-decorator (>= 3.2.0),
+ python-pytools (>= 2011.5)
+Recommends: python-pycuda-doc <!nodoc>,
+ python-mako
+Suggests: python-pytest,
+ python-opengl,
+ python-matplotlib,
+ python-pycuda-dbg
+Replaces: python-pycuda-headers
+Description: Python module to access Nvidia‘s CUDA parallel computation API
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+
+Package: python-pycuda-dbg
+Section: contrib/debug
+Architecture: amd64
+Multi-Arch: no
+Depends: python-pycuda (= ${binary:Version}), python-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Description: Python module to access Nvidia‘s CUDA API (debug extensions)
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+ .
+ This package contains debug extensions build for the Python debug interpreter.
+
 Package: python-pycuda-doc
 Section: contrib/doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,20 @@
 #! /usr/bin/make -f
 
-#export DH_VERBOSE = 1
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export DH_VERBOSE = 1
+else
+export DH_QUIET = 1
+endif
+
 #export DH_BUILD_DDEBS = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PYBUILD_DESTDIR_python2=debian/python-pycuda/
 export PYBUILD_DESTDIR_python2-dbg=debian/python-pycuda-dbg/
@@ -26,7 +34,7 @@
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_configure:
-	./configure.py --boost-python-libname=boost_python-py \
+	./configure.py --boost-python-libname=boost_python \
 		--boost-thread-libname=boost_thread \
 		--cuda-root=/usr --cuda-enable-gl
 
@@ -57,7 +65,7 @@
 endif
 
 
-GIT_REVISION=v2017.1.1
+GIT_REVISION=v2018.1.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=https://git.tiker.net/trees/pycuda.git

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" https://git.tiker.net/trees/@PACKAGE@.git refs/tags/v@ANY_VERSION@ debian uupdate

## pycuda 2020.1~dfsg1

=== debian/changelog ===
pycuda (2020.1~dfsg1-1) unstable; urgency=medium

  * Use release tarballs from pypi.
  * Build-Depend on dh-sequence-{python3,numpy3,sphinxdoc}.
  * Cleanup debian/rules.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Feb 2021 15:29:22 +0100

pycuda (2020.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #976780) (LP: #1899750)
  * Refresh patches.
  * Let uscan repack the main tarball with a ~dfsg suffix.
  * Add create-compyte-tarball target to pack compyte as a separate component
    tarball.
  * Fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Jan 2021 01:55:29 +0100

pycuda (2019.1.2-1) unstable; urgency=low

  [ Tomasz Rybak ]
  * New upstream release.
    * Refresh patches
    * Add bind1 as new build-dependency
  * Add options to get verbose log from pybuild.

  [ Andreas Beckmann ]
  * Allow building for all architectures with nvidia-cuda-toolkit.
  * The bullseye toolchain defaults to linking with --as-needed.
  * Import upstream tarballs into the packaging repository.
  * Use github repository as upstream.
  * Let the get-orig-source target create a reproducible tarball.
  * Switch to debhelper-compat (= 13).
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Rewrite shebang in python examples to python3.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Nov 2020 15:04:39 +0100

pycuda (2018.1.1-4) unstable; urgency=medium

  * Remove Python 2 packages, preparing for #937414.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Add upstream GPG key.
  * Remove Replaces: python-pycuda-headers, not-relevant even in oldoldstable.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 06 Nov 2019 23:36:32 +0100

=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Tomasz Rybak <serpent@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-numpy3,
 dh-sequence-python3,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 nvidia-cuda-toolkit,
 pybind11-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-numpy,
 python3-pybind11,
 python3-pytools,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python-mako-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python3-doc <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
Vcs-Git: https://salsa.debian.org/nvidia-team/python-pycuda.git

Package: python3-pycuda
Architecture: any
Multi-Arch: no
Depends:
 nvidia-cuda-toolkit,
 python3-appdirs (>= 1.4.0),
 python3-decorator (>= 3.2.0),
 python3-numpy,
 python3-pytools,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python-pycuda-doc <!nodoc>,
 python3-mako,
Suggests:
 python3-matplotlib,
 python3-opengl,
 python3-pycuda-dbg,
 python3-pytest,
Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains Python 3 modules.

Package: python3-pycuda-dbg
Section: contrib/debug
Architecture: any
Multi-Arch: no
Depends:
 python3-dbg,
 python3-pycuda (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions for the Python 3 debug interpreter.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 fonts-mathjax,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 nvidia-cuda-doc,
 python-mako-doc,
 python-numpy-doc,
 python3-doc,
Suggests:
 python3-pycuda,
Description: module to access Nvidia‘s CUDA computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
export PYBUILD_VERBOSE=1
else
export DH_QUIET = 1
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python \
		--boost-thread-libname=boost_thread \
		--cuda-root=/usr --cuda-enable-gl

execute_after_dh_auto_build-indep:
	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"

execute_after_dh_auto_clean:
	$(MAKE) -C doc clean
	$(RM) Makefile siteconf.py

# Do not run test automatically - they require CUDA-capable hardware
override_dh_auto_test:

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
endif

## pycuda 2021.1~dfsg

=== debian/changelog ===
pycuda (2021.1~dfsg-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:54:33 +0000

pycuda (2021.1~dfsg-2build1) jammy; urgency=medium

  * No-change rebuild against libnvidia-compute-495

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Dec 2021 09:15:55 +0000

pycuda (2021.1~dfsg-2) unstable; urgency=medium

  * Fix boost python library name generation.  (Closes: #1000308)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Nov 2021 11:37:39 +0100

pycuda (2021.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Build-Depends: python3-sphinx-copybutton.
  * Continue using the sphinx alabaster theme, furo is not yet packaged.
  * Drop python3-pycuda-dbg.  (Closes: #994324)
  * Update Standards-Version to 4.6.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Sep 2021 13:31:39 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  mesa-common-dev,
  nvidia-cuda-toolkit,
  pybind11-dev,
- python3-all-dbg,
  python3-all-dev,
  python3-numpy,
  python3-pybind11,
@@ -26,7 +25,8 @@
  python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
-Standards-Version: 4.5.1
+ python3-sphinx-copybutton <!nodoc>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -50,7 +50,6 @@
 Suggests:
  python3-matplotlib,
  python3-opengl,
- python3-pycuda-dbg,
  python3-pytest,
 Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
@@ -72,37 +71,6 @@
   * Helpful Documentation.
  .
  This package contains Python 3 modules.
-
-Package: python3-pycuda-dbg
-Section: contrib/debug
-Architecture: any
-Multi-Arch: no
-Depends:
- python3-dbg,
- python3-pycuda (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
- .
- This package contains debug extensions for the Python 3 debug interpreter.
 
 Package: python-pycuda-doc
 Section: contrib/doc

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
-export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -42,8 +41,3 @@
 
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
-endif

=== debian/watch ===
version=4

opts="dversionmangle=auto, repacksuffix=~dfsg" \
https://pypi.python.org/packages/source/p/@PACKAGE@/ \
@PACKAGE@-(.+)\.tar\.gz debian uupdate

## pycuda 2022.1~dfsg

=== debian/changelog ===
pycuda (2022.1~dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:16:54 +0000

pycuda (2022.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Re-add sphinxconfig.py to the package source to allow offline building and
    customization.
  * Refresh patches.
  * Discard automatic changes to *.egg-info/* to fix building twice in a row.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jul 2022 14:28:10 +0200

pycuda (2021.1~dfsg-3) unstable; urgency=medium

  * Add salsa-ci.yml.
  * Add superficial autopkgtest checking the usability of the STL headers in
    host code compiled with nvcc (cf. #1006962).
  * Update Standards-Version to 4.6.1; no changes necessary.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jun 2022 06:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,9 @@
 	dh $@ --buildsystem pybuild
 
 override_dh_auto_configure:
-	./configure.py --boost-python-libname=boost_python \
+	./configure.py \
+		--no-use-shipped-boost \
+		--boost-python-libname=boost_python \
 		--boost-thread-libname=boost_thread \
 		--cuda-root=/usr --cuda-enable-gl
 
@@ -36,8 +38,9 @@
 	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 
 execute_after_dh_auto_clean:
-	$(MAKE) -C doc clean
+	! command -v sphinx-build 2>/dev/null || $(MAKE) -C doc clean
 	$(RM) Makefile siteconf.py
+	$(RM) -r *.egg-info/
 
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: debian/tests/compile-stl-headers cuda-g++
Features: test-name=compile-stl-headers_cuda-g++
Architecture: amd64 arm64 ppc64el
Depends:
 nvidia-cuda-toolkit-gcc,
Restrictions:
 superficial,
 allow-stderr,

Test-Command: debian/tests/compile-stl-headers g++-11
Features: test-name=compile-stl-headers_g++-11
Architecture: amd64 arm64 ppc64el
Depends:
 g++-11,
 nvidia-cuda-toolkit,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

Test-Command: debian/tests/compile-stl-headers g++-10
Features: test-name=compile-stl-headers_g++-10
Architecture: amd64 arm64 ppc64el
Depends:
 g++-10,
 nvidia-cuda-toolkit,
Restrictions:
 superficial,
 allow-stderr,

## pycuda 2022.2.2~dfsg

=== debian/changelog ===
pycuda (2022.2.2~dfsg-2) unstable; urgency=medium

  * Build without python-numpy-doc.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 11:10:07 +0100

pycuda (2022.2.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * The CUDA toolkit autopkgtests are now in src:nvidia-cuda-samples.
  * Update Standards-Version to 4.6.2; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Jan 2023 14:08:09 +0100

pycuda (2022.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop ancient d/NEWS.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Nov 2022 22:51:06 +0100

pycuda (2022.1~dfsg-5) unstable; urgency=medium

  * autopkgtest: Fix CUDA Code Samples compilation with CUDA 11.6 and GCC 11.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2022 22:37:00 +0100

pycuda (2022.1~dfsg-4) unstable; urgency=medium

  * autopkgtest: Fix CUDA Code Samples compilation on !amd64.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Oct 2022 00:02:22 +0200

pycuda (2022.1~dfsg-3) unstable; urgency=medium

  * Add superficial autopkgtest for nvidia-openjdk-8-jre: java -version.
  * Use a tag of the CUDA Code Samples that matches the toolkit version.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Oct 2022 03:26:20 +0200

pycuda (2022.1~dfsg-2) unstable; urgency=medium

  * Switch to B-D: nvidia-cuda-toolkit-gcc for a deterministic g++ dependency.
  * Add superficial autopkgtest for cmake find_package(CUDAToolkit).
  * autopkgtest: Ignore failure to compile the <coroutine> header.
  * Add superficial autopkgtests downloading and compiling the CUDA Code
    Samples.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Oct 2022 14:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-python-dev,
  libboost-thread-dev,
  mesa-common-dev,
- nvidia-cuda-toolkit,
+ nvidia-cuda-toolkit-gcc,
  pybind11-dev,
  python3-all-dev,
  python3-numpy,
@@ -22,11 +22,10 @@
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  python-mako-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -85,7 +84,6 @@
 Recommends:
  nvidia-cuda-doc,
  python-mako-doc,
- python-numpy-doc,
  python3-doc,
 Suggests:
  python3-pycuda,

## pycuda 2024.1~dfsg

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -n
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pycuda (2024.1~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:08 +1100

pycuda (2024.1~dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libboost-python1.83.0-py312

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 19:48:28 +0000

pycuda (2024.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1060788)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Jan 2024 11:57:27 +0100

pycuda (2023.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1055702)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 10:15:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Tomasz Rybak <serpent@debian.org>,
  Andreas Beckmann <anbe@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -42,5 +42,8 @@
 	$(RM) Makefile siteconf.py
 	$(RM) -r *.egg-info/
 
+execute_after_dh_installexamples-indep:
+	hardlink -v -t debian/python-pycuda-doc/usr/share/doc/python-pycuda-doc
+
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:

## pycuda 2024.1.2~dfsg

=== debian/changelog ===
pycuda (2024.1.2~dfsg-4) unstable; urgency=medium

  * Drop python3-numpy version constraint.  (Closes: #1095259)
  * Rebuild against Numpy 2.  (Closes: #1095213)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2025 11:18:41 +0100

pycuda (2024.1.2~dfsg-3) unstable; urgency=medium

  * Fix building with sphinx 8.  (Closes: #1090119)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jan 2025 23:31:55 +0100

pycuda (2024.1.2~dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS with Python 3.13.
    (Closes: #1087926)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2024 02:10:46 +0100

pycuda (2024.1.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Switch from python3-appdirs to python3-platformdirs.  (Closes: #1067984)
  * Update Standards-Version to 4.7.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Oct 2024 09:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Tomasz Rybak <serpent@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -26,7 +25,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -37,8 +36,7 @@
 Multi-Arch: no
 Depends:
  nvidia-cuda-toolkit,
- python3-appdirs (>= 1.4.0),
- python3-decorator (>= 3.2.0),
+ python3-platformdirs (>= 2.2.0),
  python3-numpy,
  python3-pytools,
  ${misc:Depends},

## pycuda 2025.1~dfsg

=== debian/changelog ===
pycuda (2025.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Standards-Version to 4.7.1; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Feb 2025 10:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
